<?php

declare(strict_types=1);

namespace Drupal\one_time_password\EventSubscriber;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Defines a class for modifying routes.
 */
final class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection): void {
    if ($collection->get('user.login.http')) {
      $route = $collection->get('user.login.http');
      $route->setDefault('_controller', '\Drupal\one_time_password\Controller\UserAuthenticationController::login');
    }
  }

}
