<?php

declare(strict_types=1);

namespace Drupal\Tests\one_time_password\Kernel;

use Drupal\KernelTests\KernelTestBase;

/**
 * Covers hook_requirements.
 */
class RequirementsTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'one_time_password',
    'system',
  ];

  /**
   * Tests requirements.
   */
  public function testOneTimePasswordRequirements(): void {
    \Drupal::service('module_handler')->loadInclude('one_time_password', 'install');
    $requirements = \one_time_password_requirements('runtime');
    $this->assertArrayNotHasKey('one_time_password', $requirements);
    \Drupal::service('module_installer')->install(['one_time_password_requirements_test']);
    $requirements = \one_time_password_requirements('runtime');
    $this->assertArrayHasKey('one_time_password', $requirements);
  }

}
